xine-lib: pnm_s Struct Reference

xine-lib 1.2.12

Data Fields
pnm_s Struct Reference

## Data Fields
xine_stream_t * | stream
int | s
char * | host
int | port
char * | path
char * | url
char | buffer [4096]
uint8_t | recv [4096]
int | recv_size
int | recv_read
uint8_t | header [4096]
int | header_len
int | header_read
unsigned int | seq_num [4]
unsigned int | seq_current [2]
uint32_t | ts_current
uint32_t | ts_last [2]
unsigned int | packet

## Field Documentation

## ◆ buffer

char pnm_s::buffer[4096]

Referenced by pnm_connect(), pnm_get_headers(), pnm_get_stream_chunk(), pnm_send_request(), and pnm_send_response().

## ◆ header

uint8_t pnm_s::header[4096]

Referenced by pnm_connect(), and pnm_get_headers().

## ◆ header_len

int pnm_s::header_len

Referenced by pnm_connect(), and pnm_get_headers().

## ◆ header_read

int pnm_s::header_read

## ◆ host

char* pnm_s::host

Referenced by pnm_close(), and pnm_connect().

## ◆ packet

unsigned int pnm_s::packet

Referenced by pnm_connect(), and pnm_get_stream_chunk().

## ◆ path

char* pnm_s::path

Referenced by pnm_close(), pnm_connect(), and pnm_send_request().

## ◆ port

int pnm_s::port

Referenced by pnm_connect().

## ◆ recv

uint8_t pnm_s::recv[4096]

Referenced by pnm_connect(), and pnm_get_stream_chunk().

## ◆ recv_read

int pnm_s::recv_read

Referenced by pnm_connect().

## ◆ recv_size

int pnm_s::recv_size

Referenced by pnm_connect(), and pnm_get_stream_chunk().

## ◆ s

int pnm_s::s

Referenced by pnm_close(), pnm_connect(), pnm_get_chunk(), pnm_get_headers(), pnm_get_stream_chunk(), pnm_send_request(), and pnm_send_response().

## ◆ seq_current

unsigned int pnm_s::seq_current[2]

Referenced by pnm_calc_stream(), and pnm_get_stream_chunk().

## ◆ seq_num

unsigned int pnm_s::seq_num[4]

Referenced by pnm_calc_stream().

## ◆ stream

xine_stream_t* pnm_s::stream

Referenced by pnm_calc_stream(), pnm_close(), pnm_connect(), pnm_get_chunk(), pnm_get_headers(), pnm_get_stream_chunk(), pnm_send_request(), and pnm_send_response().

## ◆ ts_current

uint32_t pnm_s::ts_current

Referenced by pnm_calc_stream(), and pnm_get_stream_chunk().

## ◆ ts_last

uint32_t pnm_s::ts_last[2]

Referenced by pnm_calc_stream(), pnm_connect(), and pnm_get_stream_chunk().

## ◆ url

char* pnm_s::url

Referenced by pnm_close(), and pnm_connect().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/pnm.c